
%  Map help keywords to the appropriate postion in a help file.
%  
%  Schema: 
%    help-keyword, help file base name, line number to start viewing at
%    (all help files have a ".help" suffix)
%
%  Warning: This file is handled specially, don't try any tricks here.
%  (ie: the relation name is ignored, all facts with 3 args are
%       inserted into the help DB, the rest are ignored.)

coral_help(general, general, 0).
coral_help(help, general, 0).
coral_help(coral, general, 0).

coral_help("alias", "alias", 0).
coral_help(alias_rel, "alias", 0).

coral_help(aggregates, aggregates, 0).

coral_help(aggregate_selection, aggregate_selection, 0).
coral_help(aggsel_per_iteration, aggregate_selection, 0).
coral_help(aggsel_multiple_answers, aggregate_selection, 0).

coral_help(annotations, annotations, 0).
coral_help(anno, annotations, 0).
coral_help(naive_backtracking, annotations, 0).

coral_help(breakpoints, breakpoints, 0).
coral_help(breakpoint, breakpoints, 0).
coral_help(set_break, breakpoints, 0).
coral_help(clear_break, breakpoints, 0).

coral_help(consult, consult, 0).

coral_help(list, list, 0).
coral_help(lists, list, 0).
coral_help("cons", list, 0).
coral_help("nil", list, 0).
coral_help("[]", list, 0).
coral_help("|", list, 0).

coral_help(coralroot, misc, 0).
coral_help(show_mem, misc, 0).

coral_help(builtins, builtins, 0).
coral_help(builtin, builtins, 0).
coral_help(metapredicates, builtins, 0).
coral_help(sets, builtins, 0).
coral_help(multiset, builtins, 0).
coral_help(multisets, builtins, 0).

coral_help(defaults, default, 0).
coral_help(assign, defaults, 0).
coral_help(clear, defaults, 0).
coral_help(display_defaults, defaults, 0).
coral_help(reset_defaults, defaults, 0).
coral_help(set, defaults, 0).

coral_help(db, db, 0).
coral_help(debug, debug, 0).
coral_help(commands, commands, 0).
coral_help(explain, explain, 0).
coral_help(explain_on, explain_on, 0).
coral_help(explain_off, explain, 0).

coral_help(imperative, imperative, 0).
coral_help("c++", imperative, 0).
coral_help("c++interface", imperative, 0).
coral_help(interface, imperative, 0).

coral_help(manual, manual, 0).
coral_help(modules, modules, 0).
coral_help(language, language, 0).
coral_help(profile, profile, 0).
coral_help(profile_on, profile, 0).
coral_help(profile_off, profile, 0).

coral_help(persistence, persistence, 0).
coral_help(exodus, persistence, 0).

coral_help(ext_join, ext_join, 0).
coral_help(extjoin, ext_join, 0).
coral_help(join, ext_join, 0).
coral_help(grace, ext_join, 0).

coral_help(socket, socket, 0).
coral_help(socket_rel, socket, 0).
coral_help(remote, socket, 0).
coral_help(network, socket, 0).

coral_help(io, io, 0).
coral_help(pipein, io, 0).
coral_help(pipeout, io, 0).
coral_help(print, io, 0).
coral_help(printf, io, 0).
coral_help(write_table, io, 0).

coral_help(rdb, rdb, 0).
coral_help(rdb_commit, rdb_commit, 0).
coral_help(rdb_execute, rdb_execute, 0).
coral_help(rdb_join, rdb_join, 0).
coral_help(rdb_map, rdb_map, 0).
coral_help(rdb_open_db, rdb_open_db, 0).
coral_help(rdb_rollback, rdb_rollback, 0).

coral_help(relations, relations, 0).
coral_help(relation, relations, 0).
coral_help(rel_add, relations, 0).
coral_help(rel_clear, relations, 0).
coral_help(rel_close, relations, 0).
coral_help(rel_copy, relations, 0).
coral_help(rel_open, relations, 0).
coral_help(rel_rename, relations, 0).
coral_help(list_rels, relations, 0).
coral_help(index, relations, 0).
coral_help(rel, relations, 0).
coral_help(rels, relations, 0).

coral_help(query, query, 0).

coral_help(rules, rules, 0).
coral_help(rule, rules, 0).

coral_help(schema, schema, 0).

coral_help(shell, shell, 0).

coral_help(sort, sort, 0).
coral_help(incr, sort, 0).
coral_help(decr, sort, 0).

coral_help(suspension, suspension, 0).
coral_help(answer, suspension, 0).
coral_help(list_sus, suspension, 0).
coral_help(resume, suspension, 0).
coral_help(kill, suspension, 0).


coral_help(timer, timer, 0).
coral_help(time, timer, 0).
coral_help(cputime, timer, 0).
coral_help(reset_timer, timer, 0).
coral_help(display_timer, timer, 0).

coral_help(trace, trace, 0).
coral_help(trace_on, trace, 0).
coral_help(trace_off, trace, 0).
coral_help(trace_file, trace, 0).

coral_help(users, users, 0).
coral_help(login, users, 0).
coral_help(logout, users, 0).
coral_help(who, users, 0).
coral_help(user, users, 0).
coral_help(sync, users, 0).
coral_help(yield, users, 0).

coral_help(window, window, 0).

coral_help(ws, ws, 0).
coral_help(list_ws, ws, 0).
coral_help(workspace, ws, 0).
coral_help(workspaces, ws, 0).
coral_help(ws_clear, ws, 0).
coral_help(ws_create, ws, 0).
coral_help(ws_current, ws, 0).
coral_help(ws_destroy, ws, 0).
coral_help(ws_rename, ws, 0).
coral_help(ws_save, ws, 0).

coral_help(abs, builtins, 0).
coral_help(ceiling, builtins, 0).
coral_help(floor, builtins, 0).
coral_help(pow, builtins, 0).

coral_help(add_elem, builtins, 0).
coral_help(add_elem_d, builtins, 0).
coral_help(create_set, builtins, 0).
coral_help(member, builtins, 0).
coral_help(subset, builtins, 0).
coral_help(unionsum, builtins, 0).
coral_help(unionmax, builtins, 0).
coral_help(unionsum_d, builtins, 0).
coral_help(unionmax_d, builtins, 0).

coral_help(call, builtins, 0).
coral_help(functor, builtins, 0).
coral_help(arg, builtins, 0).
coral_help(args, builtins, 0).
coral_help(univ, builtins, 0).

coral_help(inter, builtins, 0).
coral_help(difference, builtins, 0).
coral_help(inter_d, builtins, 0).
coral_help(difference_d, builtins, 0).
coral_help(make_set_d, builtins, 0).

coral_help(length, builtins, 0).
coral_help(extract, builtins, 0).
coral_help(substr, builtins, 0).

coral_help(insert, relations, 0).
coral_help(delete, relations, 0).

coral_help(is_string, builtins, 0).
coral_help(is_num, builtins, 0).
coral_help(is_const, builtins, 0).
coral_help(is_var, builtins, 0).
coral_help(is_functor, builtins, 0).
coral_help(is_list, builtins, 0).

coral_help("bitnot", builtins, 0).
coral_help("bitand", builtins, 0).
coral_help("bitor", builtins, 0).
coral_help("bitxor", builtins, 0).

coral_help(history, commands, 0).
coral_help(quit, commands, 0).
coral_help(coralrc, commands, 0).
