// *************************************************************************
//    RdbInit.C
// *************************************************************************

#include "RdbInit.h"
#include "Globals.h"
#include "CRdbManager.h"
#include "Debug.h"

// *************************************************************************
//  Initializes RDB.  Called from init_coral
void init_rdb()
{
#ifdef    DO_CALL_STACK
    CallStk_Mark    callstk_mark(__FUNCTION__,__FILE__,__LINE__);
#endif
#   ifdef DO_RDB
        pCRdbManager = new Cor_CRdbManager();
#   endif
}

// *************************************************************************
//    Called when quitting coral
void exit_rdb()
{
#ifdef    DO_CALL_STACK
    CallStk_Mark    callstk_mark(__FUNCTION__,__FILE__,__LINE__);
#endif
#ifdef    DO_RDB
    delete  pCRdbManager;
#endif
}

// *************************************************************************

