// *************************************************************************
//    PipelinedDerivedRelation.h
// *************************************************************************

#ifndef _PipelinedDerivedRelation_H_
#define _PipelinedDerivedRelation_H_

#include "DerivedRelation.h"

// *************************************************************************

class Cor_QFPipelinedModuleData;

// *************************************************************************

class Cor_PipelinedDerivedRelation : public Cor_DerivedRelation {

  public:
    Cor_QFPipelinedModuleData *md;
    int pred_offset;            // offset of this relation in the pred_ptrs
                                // array of the module

    Cor_PipelinedDerivedRelation(Cor_QFPipelinedModuleData *module,
                Cor_CArg& name, int arity);
   ~Cor_PipelinedDerivedRelation();

    virtual Cor_BindEnv *get_next(Cor_TupleIterator&);
    virtual Cor_Tuple *get_next_tuple(Cor_TupleIterator& it);
    virtual void release(Cor_TupleIterator& it);
    virtual void print_name(CoralStream *file);    
};

// *************************************************************************

#endif _PipelinedDerivedRelation_H_
